GET
Get Payment Agreements

Authorizations

app-id
string
header
required

A unique identifier assigned to each application.

secret-key
string
header
required

A secure token associated with the app-id.

Query Parameters

from_date
string<date-time>
required

The start date for querying payment agreements. Accepted formats are 'DD/MM/YY' or 'YYYY-MM-DDThh:mm:ss'. This date-time is in UTC.

to_date
string<date-time>
required

The end date for querying payment agreements. Accepted formats are 'DD/MM/YY' or 'YYYY-MM-DDThh:mm:ss'. This date-time is in UTC.

page
integer

The page number to retrieve. Each page contains a subset of results based on the specified size parameter.

size
integer

The number of records to return per page. This allows you to control the volume of data returned in each response, aiding in efficient data management.

Response

Request processed successfully.

from_date
string<date-time>

The start date of the queried payment agreements, as specified in the request.

Example:

"2022-01-01T00:00:00"

to_date
string<date-time>

The end date of the queried payment agreements, as specified in the request.

Example:

"2022-12-01T00:00:00"

page
integer

The current page number of the returned results.

Example:

1

size
integer

The number of records per page as specified in the query.

Example:

20

next_page
integer

The page number for the next set of results, if available.

Example:

2

total_page
integer

The total number of pages available based on the query parameters.

Example:

5

total_count
integer

The total number of payment agreement records available within the specified date range.

Example:

100

records
object[]